Subject: Re: 30.1; [ELPA] oauth2: update plstore id calculation to include user name
From: Xiyue Deng <[email-masked]>
To: [email-masked]
Date: Tue, 12 Aug 2025 10:41:25 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Xiyue Deng <[email-masked]> writes:

> Xiyue Deng <[email-masked]> writes:
>
>> Xiyue Deng <[email-masked]> writes:
>>
>>> (Note that this is separate from bug#79168[1].)
>>>
>>> Another request update plstore id calculation.  I have been
>>> experimenting with using client-id/client-secret from other registered
>>> applications, e.g. thunderbird, evolution, and it is working, except
>>> that I cannot make multiple accounts on Gmail to work, which turns out
>>> that they all share the same plstore id because now that all values used
>>> for calculating plstore are the same for a same service.  Adding user
>>> helps creating a distinct plstore id for different accounts.
>>>
>>> I have also taken the opportunity to update NEWS and bump the version,
>>> and would request a new release of 0.18.  I have also tested this end to
>>> end with multiple accounts so hopefully there is less brown-paper-bag
>>> bugs.
>>>
>>> However, as there are also important fixes from bug#79168 (3 patches
>>> from [2][3][4]), I'll send the patches after those are reviewed and
>>> applied.  As I'm using git-send-email this placeholder is needed anyway
>>> :P
>>>
>>> Thanks in advance, and please stay tuned.
>>>
>>> [1] https://debbugs.gnu.org/79168
>>> [2] https://debbugs.gnu.org/cgi/bugreport.cgi?att=1;msg=97;bug=79168;filename=0001-Use-locate-user-emacs-file-instead-of-concat-user-em.patch
>>> [3] https://debbugs.gnu.org/cgi/bugreport.cgi?msg=100;att=1;bug=79168;filename=0001-Fix-missing-parameter.patch
>>> [4] https://debbugs.gnu.org/cgi/bugreport.cgi?att=1;msg=103;bug=79168;filename=0001-Drop-accidentally-added-parameter.patch
>>>
>>
>> Actually I should have attached the patch for implementing the new
>> plstore id for review, and here it is.
>
> Here is an updated patch for better logging.

Over the past few days I have gradually worked on a few more
improvements.  I'll open a new bug with a new series of patches
(including this one).  Closing this bug for now.

>
> [...]

-- 
Regards,
Xiyue Deng